;
; This file defines SFR names and bit names for Microchip's PIC18 processors.
;
; This file can be configured for different devices.
; At the beginning of the file there are definitions common for all devices
; Device-specific definitions are introduced by
;
;       .devicename
;
; line. Also an optional directive
;
;       .default=devicename
;
; designates the default device name.
;

.default 18C242

PORTA      0xF80
PORTB      0xF81
PORTC      0xF82
PORTD      0xF83
PORTE      0xF84
LATA       0xF89
LATB       0xF8A
LATC       0xF8B
LATD       0xF8C
LATE       0xF8D
TRISA      0xF92
TRISB      0xF93
TRISC      0xF94
TRISD      0xF95
TRISE      0xF96
PIE1       0xF9D
PIE1.PSPIE            7
PIE1.ADIE             6
PIE1.RCIE             5
PIE1.TXIE             4
PIE1.SSPIE            3
PIE1.CCP1IE           2
PIE1.TMR2IE           1
PIE1.TMR1IE           0
PIR1       0xF9E
PIR1.PSPIF            7
PIR1.ADIF             6
PIR1.RCIF             5
PIR1.TXIF             4
PIR1.SSPIF            3
PIR1.CCP1IF           2
PIR1.TMR2IF           1
PIR1.TMR1IF           0
IPR1       0xF9F
IPR1.PSPIP            7
IPR1.ADIP             6
IPR1.RCIP             5
IPR1.TXIP             4
IPR1.SSPIP            3
IPR1.CCP1IP           2
IPR1.TMR2IP           1
IPR1.TMR1IP           0
PIE2       0xFA0
PIE2.BCLIE            3
PIE2.LVDIE            2
PIE2.TMR3IE           1
PIE2.CCP2IE           0
PIR2       0xFA1
PIR2.BCLIF            3
PIR2.LVDIF            2
PIR2.TMR3IF           1
PIR2.CCP2IF           0
IPR2       0xFA2
IPR2.BCLIP            3
IPR2.LVDIP            2
IPR2.TMR3IP           1
IPR2.CCP2IP           0
RCSTA      0xFAB
RCSTA.SPEN            7
RCSTA.RX9             6
RCSTA.SREN            5
RCSTA.CREN            4
RCSTA.ADDEN           3
RCSTA.FERR            2
RCSTA.OERR            1
RCSTA.RX9D            0
TXSTA      0xFAC
TXSTA.CSRC            7
TXSTA.TX9             6
TXSTA.TXEN            5
TXSTA.SYNC            4
TXSTA.BRGH            2
TXSTA.TRMT            1
TXSTA.TX9D            0
TXREG      0xFAD
RCREG      0xFAE
SPBRG      0xFAF
T3CON      0xFB1
T3CON.RD16            7
T3CON.T3CCP2          6
T3CON.T3CKPS1         5
T3CON.T3CKPS0         4
T3CON.T3CCP1          3
T3CON.T3SYNC          2
T3CON.TMR3CS          1
T3CON.TMR3ON          0
TMR3L      0xFB2
TMR3H      0xFB3
CCP2CON    0xFBA
CCP2CON.DC2B1         5
CCP2CON.DC2B0         4
CCP2CON.CCP2M3        3
CCP2CON.CCP2M2        2
CCP2CON.CCP2M1        1
CCP2CON.CCP2M0        0
CCPR2L     0xFBB
CCPR2H     0xFBC
CCP1CON    0xFBD
CCP1CON.DC1B1         5
CCP1CON.DC1B0         4
CCP1CON.CCP1M3        3
CCP1CON.CCP1M2        2
CCP1CON.CCP1M1        1
CCP1CON.CCP1M0        0
CCPR1L     0xFBE
CCPR1H     0xFBF
ADCON1     0xFC1
ADCON1.ADFM           7
ADCON1.ADCS2          6
ADCON1.PCFG3          3
ADCON1.PCFG2          2
ADCON1.PCFG1          1
ADCON1.PCFG0          0
ADCON0     0xFC2
ADCON0.ADCS1          7
ADCON0.ADCS0          6
ADCON0.CHS2           5
ADCON0.CHS1           4
ADCON0.CHS0           3
ADCON0.GO             2
ADCON0.ADON           0
ADRESL     0xFC3
ADRESH     0xFC4
SSPCON2    0xFC5
SSPCON2.GCEN          7
SSPCON2.ACKSTAT       6
SSPCON2.ACKDT         5
SSPCON2.ACKEN         4
SSPCON2.RCEN          3
SSPCON2.PEN           2
SSPCON2.RSEN          1
SSPCON2.SEN           0
SSPCON1    0xFC6
SSPCON1.WCOL          7
SSPCON1.SSPOV         6
SSPCON1.SSPEN         5
SSPCON1.CKP           4
SSPCON1.SSPM3         3
SSPCON1.SSPM2         2
SSPCON1.SSPM1         1
SSPCON1.SSPM0         0
SSPSTAT    0xFC7
SSPSTAT.SMP           7
SSPSTAT.CKE           6
SSPSTAT.D             5
SSPSTAT.P             4
SSPSTAT.S             3
SSPSTAT.R             2
SSPSTAT.UA            1
SSPSTAT.BF            0
SSPADD     0xFC8
SSPBUF     0xFC9
T2CON      0xFCA
T2CON.TOUTPS3         6
T2CON.TOUTPS2         5
T2CON.TOUTPS1         4
T2CON.TOUTPS0         3
T2CON.TMR2ON          2
T2CON.T2CKPS1         1
T2CON.T2CKPS0         0
PR1        0xFCB
TMR2       0xFCC
T1CON      0xFCD
T1CON.RD16            7
T1CON.T1CKPS1         5
T1CON.T1CKPS0         4
T1CON.T1OSCEN         3
T1CON.T1SYNC          2
T1CON.TMR1CS          1
T1CON.TMR1ON          0
TMR1L      0xFCE
TMR1H      0xFCF
RCON       0xFD0
RCON.IPEN             7
RCON.LWRT             6
RCON.RI               4
RCON.TO               3
RCON.PD               2
RCON.POR              1
RCON.BOR              0
WDTCON     0xFD1
WDTCON.SWDTEN         0
LVDCON     0xFD2
LVDCON.IRVST          5
LVDCON.LVDEN          4
LVDCON.LVDL3          3
LVDCON.LVDL2          2
LVDCON.LVDL1          1
LVDCON.LVDL0          0
OSCCON     0xFD3
OSCCON.SCS            0
T0CON      0xFD5
T0CON.TMR0ON          7
T0CON.T08BIT          6
T0CON.T0CS            5
T0CON.T0SE            4
T0CON.PSA             3
T0CON.T0PS2           2
T0CON.T0PS1           1
T0CON.T0PS0           0
TMR0L      0xFD6
TMR0H      0xFD7
STATUS     0xFD8
STATUS.N              4
STATUS.OV             3
STATUS.Z              2
STATUS.DC             1
STATUS.C              0
FSR2L      0xFD9
FSR2H      0xFDA
PLUSW2     0xFDB
PREINC2    0xFDC
POSTDEC2   0xFDD
POSTINC2   0xFDE
INDF2      0xFDF
BSR        0xFE0
FSR1L      0xFE1
FSR1H      0xFE2
PLUSW1     0xFE3
PREINC1    0xFE4
POSTDEC1   0xFE5
POSTINC1   0xFE6
INDF1      0xFE7
WREG       0xFE8
FSR0L      0xFE9
FSR0H      0xFEA
PLUSW0     0xFEB
PREINC0    0xFEC
POSTDEC0   0xFED
POSTINC0   0xFEE
INDF0      0xFEF
INTCON3    0xFF0
INTCON3.INT2IP        7
INTCON3.INT1IP        6
INTCON3.INT2IE        4
INTCON3.INT1IE        3
INTCON3.INT2IF        1
INTCON3.INT1IF        0
INTCON2    0xFF1
INTCON2.RBPU          7
INTCON2.INTEDG0       6
INTCON2.INTEDG1       5
INTCON2.INTEDG2       4
INTCON2.TMROIP        2
INTCON2.RBIP          0
INTCON     0xFF2
INTCON.GIE            7
INTCON.PEIE           6
INTCON.TMROIE         5
INTCON.INTOIE         4
INTCON.RBIE           3
INTCON.TMROIF         2
INTCON.INTOIF         1
INTCON.RBIF           0
PRODL      0xFF3
PRODH      0xFF4
TABLAT     0xFF5
TBLPTRL    0xFF6
TBLPTRH    0xFF7
TBLPTRU    0xFF8
PCL        0xFF9
PCLATH     0xFFA
PCLATU     0xFFB
STKPTR     0xFFC
STKPTR.STKFUL         7
STKPTR.STKUNF         6
TOSL       0xFFD
TOSH       0xFFE
TOSU       0xFFF

;-------------------------------
; Device specific definitions

.18C242

; insert definitions here

.18C252

; insert definitions here

.18C442

; insert definitions here

.18C452

; insert definitions here

.18C601

; insert definitions here

.18C658

; insert definitions here

.18C801

; insert definitions here

.18C858

; insert definitions here
